Bug 1386707 - -DSCOTCH_PTHREAD breaks with openmpi
Summary: -DSCOTCH_PTHREAD breaks with openmpi
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: scotch
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-19 13:41 UTC by Dave Love
Modified: 2016-11-19 21:03 UTC (History)
2 users (show)

Fixed In Version: scotch-6.0.4-13.fc24 scotch-6.0.4-13.fc23 scotch-6.0.4-13.el7 scotch-6.0.4-10.el6 scotch-6.0.4-13.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-12 23:54:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Dave Love 2016-10-19 13:41:39 UTC
Description of problem:

I tried to run something using libptscotchparmetis which failed, reporting:

  ERROR: SCOTCH_dgraphInit: Scotch compiled with SCOTCH_PTHREAD and program not launched with MPI_THREAD_MULTIPLE

from a call of ParMETIS_V3_NodeND.

I don't think any EPEL/Fedora version is built with --enable-thread-multiple, so this can't work.  Even with mpich, with which I assume it will work in principle, it seems infelicitous; programs have to use MPI_Init_thread, not MPI_Init, and may not be prepared to do that.  (See INSTALL.txt.)

Version-Release number of selected component (if applicable):

scotch-6.0.4-9.el6.x86_64

Comment 1 Sandro Mani 2016-10-19 17:01:30 UTC
Uhm so pardon my ignorance but what is one supposed to do on metis side about this issue?

Comment 2 Dave Love 2016-10-24 15:50:06 UTC
(In reply to Sandro Mani from comment #1)
> Uhm so pardon my ignorance but what is one supposed to do on metis side
> about this issue?

I don't understand -- how does metis come into it?

Comment 3 Sandro Mani 2016-10-24 15:52:30 UTC
Ahm I meant scotch clearly. But the question remains.

Comment 4 Dave Love 2016-10-24 16:51:09 UTC
(In reply to Sandro Mani from comment #3)
> Ahm I meant scotch clearly. But the question remains.

Sorry, that wasn't clear.

I assumed the solution would be to build for openmpi without SCOTCH_PTHREAD, following INSTALL.txt.  I haven't had time yet to try.

Comment 5 Sandro Mani 2016-10-25 11:51:01 UTC
Please test http://koji.fedoraproject.org/koji/taskinfo?taskID=16195492

Comment 6 Dave Love 2016-10-27 20:21:21 UTC
(In reply to Sandro Mani from comment #5)
> Please test http://koji.fedoraproject.org/koji/taskinfo?taskID=16195492

What I was trying to build works with that, thanks.

Comment 7 Fedora Update System 2016-10-28 12:47:40 UTC
scotch-6.0.4-10.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c6e19957ef

Comment 8 Fedora Update System 2016-10-28 12:49:35 UTC
scotch-6.0.4-13.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8125af72a6

Comment 9 Fedora Update System 2016-10-28 14:56:01 UTC
scotch-6.0.4-13.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ae5e0ce8af

Comment 10 Fedora Update System 2016-10-28 15:55:20 UTC
scotch-6.0.4-13.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-81c5a5894e

Comment 11 Fedora Update System 2016-10-29 03:55:46 UTC
scotch-6.0.4-13.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2397599bf

Comment 12 Fedora Update System 2016-11-12 23:54:19 UTC
scotch-6.0.4-13.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-11-13 02:20:52 UTC
scotch-6.0.4-13.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-11-13 05:20:38 UTC
scotch-6.0.4-13.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-11-13 15:16:34 UTC
scotch-6.0.4-10.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-11-19 21:03:21 UTC
scotch-6.0.4-13.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.